﻿using C1.Win.FlexReport;
using System;
using System.Windows.Forms;

namespace FlexReport_DifferenceOfTwoRows
{
    public partial class Form1 : Form
    {
        double prevPrice;
        public Form1()
        {
            InitializeComponent();

            c1FlexReport1.Load("Cars.flxr", "Cars Report");
            c1FlexReport1.StartSection += C1FlexReport1_StartSection;

            c1FlexViewer1.DocumentSource = c1FlexReport1;
        }
        private void C1FlexReport1_StartSection(object sender, ReportEventArgs e)
        {
            if (e.Section == SectionTypeEnum.GroupHeader1)
                prevPrice = 0;
            if(e.Section == SectionTypeEnum.Detail)
            {
                var currPrice = double.Parse((c1FlexReport1.Fields["PriceCtl"] as TextField).Value.ToString());
                (c1FlexReport1.Fields["Difference"] as TextField).Value = currPrice - prevPrice;
                prevPrice = currPrice;
            }
        }
    }
}
